Skip to main content
PATCH
/
dispute-escalate
Escalate a dispute to support
curl --request PATCH \
  --url https://aarwcjjzhlmkgdwrisyt.supabase.co/functions/v1/dispute-escalate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dispute_id": "c3d4e5f6-a7b8-9012-cdef-345678901234"
}
'
{
  "success": true,
  "status": 200,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "escrow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "raised_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reason_code": "item_not_received",
    "reason": "<string>",
    "status": "negotiation",
    "negotiation_deadline": "2023-11-07T05:31:56Z",
    "auto_release_at": "2023-11-07T05:31:56Z",
    "resolved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resolution": "<string>",
    "resolved_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

JWT access token obtained from /auth-verify (login context) or /auth-signup. Set the bearer_token environment variable in your API client to apply it globally.

Body

application/json
dispute_id
string<uuid>
required

Response

Dispute escalated

success
boolean
Example:

true

status
integer
Example:

200

data
object